package org.dromara.ygpassport.service;

import com.github.yulichang.base.MPJBaseService;
import org.dromara.ygpassport.domain.ArchivesGo;
import org.dromara.ygpassport.domain.vo.ArchivesGoVo;
import org.dromara.ygpassport.domain.bo.ArchivesGoBo;
import org.dromara.common.mybatis.core.page.TableDataInfo;
import org.dromara.common.mybatis.core.page.PageQuery;

import java.util.Collection;
import java.util.List;

/**
 * 档案去向Service接口
 *
 * @author Lion Li
 * @date 2024-01-11
 */
public interface IArchivesGoService extends MPJBaseService<ArchivesGo> {

    /**
     * 查询档案去向
     */
    ArchivesGoVo queryById(Long id);

    /**
     * 查询档案去向列表
     */
    TableDataInfo<ArchivesGoVo> queryPageList(ArchivesGoBo bo, PageQuery pageQuery);

    /**
     * 查询档案去向列表
     */
    List<ArchivesGoVo> queryList(ArchivesGoBo bo);

    /**
     * 新增档案去向
     */
    Boolean insertByBo(ArchivesGoBo bo);

    /**
     * 修改档案去向
     */
    Boolean updateByBo(ArchivesGoBo bo);

    /**
     * 校验并批量删除档案去向信息
     */
    Boolean deleteWithValidByIds(Collection<Long> ids, Boolean isValid);

    List<ArchivesGoVo> queryListByStuNo(String stuNo);

    ArchivesGoVo queryByStuNo(String stuNo);
}
